#! /usr/bin/python

from petmail import log
from twisted.trial import unittest
import time

class LogTest(unittest.TestCase):
    def test1(self):
        l = log.Log("foo")
        l.maxItems = 3
        l.add("one")
        l.add("two")
        l.add("three")
        self.failUnlessEqual(len(l.items), 3)
        l.add("four") # should displace "one"
        self.failUnlessEqual(len(l.items), 3)
        self.failUnlessEqual(l.items[0]['message'][0], "two")
        self.failUnlessEqual(l.items[-1]['message'][0], "four")
